FireFox 52 et les plug in qui ne fonctionnent plus

Poster ici les programmes utiles que vous avez découverts
Avatar de l’utilisateur
Parisien_entraide
Informaticien
Informaticien
Messages : 367
Inscription : 02 juin 2012 20:48

FireFox 52 et les plug in qui ne fonctionnent plus

Message par Parisien_entraide » 19 mars 2017 14:53

Si on ne lit pas l'actualité et que l'on se contente d'appliquer la mise à jour de Firefox, on risque d'avoir un petit "gros" soucis

En effet, la version 52.x ne supporte plus les plug in NPAPI (encore nombreux) autres que Flash, ...
Cela va de supports matériels (Wacom, caméras de surveillance etc) à des plug in de jeux (comme Battlefield)

Néanmoins on peut retrouver ces fonctionnalités dans la version 52.x et bénéficier ainsi des quelques nouveautés, dont protection de la vie privée, mais surtout des failles découvertes et comblées dans cette version

__________________________________________________________________
Je vais me concentrer sur le plug in de Battelfield qui permet de lancer ce qui est appelé le "Battlelog" (il servira d'exemple)

EA DICE éditeur des Battelfield, a récemment changé la façon d'accéder au jeu en introduisant une nouvelle interface non dépendante du navigateur
Celle ci ne convient pas à tout le monde pour diverses raisons (dont pour moi)
Une fois installée, le jeu ne peut se lancer via son icone que par cette nouvelle interface

On peut cependant en lançant tout d'abord "Origin" (le Steam de EA/DICE), se connecter à l'ancienne interface Battlelog via le lien :

http://battlelog.battlefield.com/bf4/ (bien regarder via les paramètres--> Général ---> si dans l'interface "Lancez le jeu sans avoir besoin de plugin" n'est pas activé)
A_BF1.png
Le côté négatif c'est qu'il faut à chaque fois introduire login et mot de passe. Mais au moins on retrouve l'interface classique avec ses choix de serveurs, les 'amis" etc (ce qui a disparu dans la nouvelle interface où il faut tout refaire)

Jusque là tout va bien... MAIS ! la nouvelle version de Firefox, la V52.x, fait disparaitre le plug in de Battlefield

La manip qui consistait jusqu'à présent à effectuer les actions suivantes :

- Dans le navigateur taper : about:config
- Recherche la ligne : plugin.load_flash_only True
- Changer la valeur "True" en "False"

ne fonctionne plus.

La raison est simple, si Firefox v52.x ne supporte plus les plug in, c'est que tout simplement parce que Mozilla a supprimé le support du NPAPI à partir de cette version (sauf comme rappelé précédemment pour Flash, ...)

Pour les autres navigateurs comme Internet Explorer et les navigateurs basés sur Internet Explorer, ils utilisent des contrôles ActiveX, des documents ActiveX et des scripts ActiveX pour offrir une extensibilité in-page comparable à NPAPI.
Donc IE 11 supporte le plug in battlelog (version 32 Bits tout comme Firefox), mais pas EDGE (plus de support NPAPI)
Pour Chrome, désolé, je n'utilise pas cet aspirateur de nos données personnelles et je ne me suis pas penché dessus
_________________________________________________________

LA METHODE POUR RETROUVER DES PLUG IN FONCTIONNELS


I) La solution la plus facile c'est de réinstaller la version 51.x de Firefox

Je conseille cependant avant manipulations d'effectuer une sauvegarde de son profil complet via MOZBACKUP qui bien que plus suivi et datant de 2012 fonctionne encore très bien

http://mozbackup.jasnapaka.com/

Il faut évidemment désinstaller l'ancienne version. Le mieux est de se faire aider avec un programme dédié comme
http://www.revouninstaller.com/revo_uni ... nload.html

Ce qui évite de devoir relancer l'ordinateur ensuite et fera un meilleur nettoyage

Lien de la version 51.x (je donne un FTP direct cela évitera les sites foireux comme softonic, 01.net etc)

https://ftp.mozilla.org/pub/firefox/rel ... /win32/fr/ (prendre la version de 43Mo)

Si vous avez égaré le lien du plug in de Battlelog :

http://battlelog-cdn.battlefield.com/pu ... .1_162.exe

Là tout rentre dans l'ordre. Mais on se retrouve avec une version qui comporte des failles et qui n'a évidemment plus les nouvelles fonctionnalités
On peut la prendre cependant en solution provisoire


II) INSTALLER LA VERSION 52 ESR de FIREFOX

Késako ? La version ESR est une version de FIREFOX qui accepte les plug in NPAPI

En passant c'est la seule version qui accepte encore XP et Vista, ce qui ne sera plus le cas avec la V 53 classique où les utilisateurs seront dirigés par défaut sur la version ESR
A savoir, la version ESR acceptera les plug in jusqu'en mars 2018 où sortira normalement la version 59 SANS plug-in

Le lien :

https://www.mozilla.org/en-US/firefox/o ... ions/all/

Prendre évidemment la version 32 bits meme si on a un windows 64 bits On peut également choisir la langue

Ensuite avant installation il y a quelques légères et faciles manipulations à effectuer
On peut s'en passer mais il faut être certain d'avoir un Firefox '"Stable", et pas trop encombré de favoris divers, sans plug in à outrance etc...

Si on dispose d'anciens plug-in, la manip décrite plus haut

Dans le navigateur taper : about:config
- Recherche la ligne : plugin.load_flash_only True
- Changer la valeur "True" en "False"

est toujours d'actualité

Là ou cela change, c'est qu'il faut éditer 2 fichiers qui se trouvent par défaut dans C:\Program Files (x86)\Mozilla Firefox :

- Update channel-prefs.js
- update-settings.ini

Pour le premier la manip est simple, il faut remplacer

pref("app.update.channel", "release");

avec

pref("app.update.channel", "esr");
A_PREF1.png

Pour le deuxième fichier, il faut remplacer

ACCEPTED_MAR_CHANNEL_IDS=firefox-mozilla-release

par

ACCEPTED_MAR_CHANNEL_IDS=firefox-mozilla-esr
A_PREF2.png
Si on lance Firefox, on notera dans "A propos" qu'une ligne est apparue : "Vous utilisez actuellement le canal de mise à jour esr"

Et là vous pouvez passez tranquillement de la version 51 classique à la version 52 esr en retrouvant tous les plug in qui ne fonctionnaient plus
_________________________________________________


EDIT et IMPORTANT : Depuis la rédaction de ce petit article, la version 55 de firefox est sortie. Si pour une raison spécifique, vous souhaitez utilisez une version ESR, sachez qu'aux vues des modifications profondes que Mozilla a apporté à cette versions 55 (préambule à la version 57), vos profils ne sont plus les mêmes et... ce n'est pas retro compatible

Donc soit vous utilisez une ancienne sauvegarde de votre profil, soit vous désinstallez et repartez sur une nouvelle base

Sont affectés :

IndexedDB
Le cache de l'API (DOM)
Service Workers,
le cache asm.js
Dernière édition par Parisien_entraide le 19 sept. 2017 22:24, édité 3 fois.


Avatar de l’utilisateur
Malekal_morte
Site Admin
Site Admin
Messages : 87371
Inscription : 10 sept. 2005 13:57
Contact :

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Malekal_morte » 20 mars 2017 19:10

Salut,

Sont pas très rapides chez EA Dice.
Première règle élémentaire de sécurité : on réfléchit puis on clic et pas l'inverse - Les fichiers/programmes c'est comme les bonbons, quand ça vient d'un inconnu, on n'accepte pas

Sécuriser son ordinateur (version courte)

Tutoriels Logiciels - Tutoriel Windows - Windows 10

Stop publicités - popups intempestives
supprimer-trojan.com : guide de suppression de malwares

Partagez malekal.com : n'hésitez pas à partager sur Facebook et GooglePlus les articles qui vous plaisent.

Avatar de l’utilisateur
Parisien_entraide
Informaticien
Informaticien
Messages : 367
Inscription : 02 juin 2012 20:48

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Parisien_entraide » 20 mars 2017 23:34

Malekal_morte a écrit :
20 mars 2017 19:10
Salut,

Sont pas très rapides chez EA Dice.
En fait c'est parce qu'ils nous imposent la nouvelle interface ... que personne ne veut :-)
Donc les soucis avec leur plug in ils s'en fichent, puisque la nouvelle interface se passe du navigateur, donc du plug in

Mais bon le plug in de EA DICE c'était juste pour illustrer le fait, que FIREFOX 52 en version classique ne supporte plus les plug in NPAPI, et pour donner un moyen de contourner la chose

Outre le jeu, il y a des matériels qui sont gérés encore actuellement via un plug in NPAPI et sur le net on voit pas mal de gens qui n'arrivent plus évidemment à faire fonctionner par exemple leur système d'alarme, ou des tablettes WACOM etc et ne comprennent pas le pourquoi

Avatar de l’utilisateur
Malekal_morte
Site Admin
Site Admin
Messages : 87371
Inscription : 10 sept. 2005 13:57
Contact :

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Malekal_morte » 21 mars 2017 12:17

ok,
Java marche pas.
J'ai fait cette page : Activer les plugins NPAPI sur FireFox.

Merci.
Première règle élémentaire de sécurité : on réfléchit puis on clic et pas l'inverse - Les fichiers/programmes c'est comme les bonbons, quand ça vient d'un inconnu, on n'accepte pas

Sécuriser son ordinateur (version courte)

Tutoriels Logiciels - Tutoriel Windows - Windows 10

Stop publicités - popups intempestives
supprimer-trojan.com : guide de suppression de malwares

Partagez malekal.com : n'hésitez pas à partager sur Facebook et GooglePlus les articles qui vous plaisent.

Avatar de l’utilisateur
Parisien_entraide
Informaticien
Informaticien
Messages : 367
Inscription : 02 juin 2012 20:48

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Parisien_entraide » 21 mars 2017 21:05

Malekal_morte a écrit :
21 mars 2017 12:17
ok,
Java marche pas.
J'ai fait cette page : Activer les plugins NPAPI sur FireFox.

Merci.
Oui c'est ce que j'indiquais (seul flash est supporté)
Après, suivant les plug in, soit la manière douce passe via about:config, soit il faut migrer sur la version ESR de Firefox avec la manip décrite

Mais il y a des soucis avec d'autres plug in comme Acrobat (se rappeler qu'il y a un rendu PDF par défaut dans firefox et l'on peut utiliser autre chose comme https://www.tracker-software.com/product/downloads ) , Silverlight (sauf pour la version 64 Bits de firefox), Unity (un framework pour les jeux) Linux's Gnome Shell, mydlinkservices (https://fr.mydlink.com/entrance) pour se connecter à un reseau de surveillance (caméras, l'accès au reseau et routeur cloud) et certains produits de chez Synology avec le surveillance plug in, les tablettes graphiques wacom (déjà indiqué) et surement d'autres (liste non exhaustive)

Ce qui est fou c'est que des constructeurs de matériels usant de plug in NPAPI savent depuis un an que cela va disparaitre mais continue à ce jour à vendre le meme matériel avec les plug in qui ne fonctionnent plus

Sinon pour compléter ton tuto tu peux pomper sur les manips décrites (il y a le lien en fin de ton tuto mais bon..) parce que pour JAVA c'est une période transitoire et effectivement lors d'une prochaine mise à jour la manière douce risque de ne plus fonctionner



Pour lecture :

https://www.fxsitecompat.com/en-CA/docs ... han-flash/
https://blogs.oracle.com/java-platform- ... tart_in_or


Avatar de l’utilisateur
Malekal_morte
Site Admin
Site Admin
Messages : 87371
Inscription : 10 sept. 2005 13:57
Contact :

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Malekal_morte » 31 mars 2017 20:39

oui...
Oracle n'a rien fait, c'est super...
Première règle élémentaire de sécurité : on réfléchit puis on clic et pas l'inverse - Les fichiers/programmes c'est comme les bonbons, quand ça vient d'un inconnu, on n'accepte pas

Sécuriser son ordinateur (version courte)

Tutoriels Logiciels - Tutoriel Windows - Windows 10

Stop publicités - popups intempestives
supprimer-trojan.com : guide de suppression de malwares

Partagez malekal.com : n'hésitez pas à partager sur Facebook et GooglePlus les articles qui vous plaisent.

Mujos
newbie
newbie
Messages : 10
Inscription : 05 avr. 2017 15:06

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Mujos » 05 avr. 2017 15:14

Bonjour à tous,
Moi aussi ,j'ai le problème pour les caméras de Hikvision " via Firefox 52. J'ai demandé à la firme ( Hikvision )s'ils pouvaient trouver une solution (durable ! ), voiçi ce qu'ils m'ont répondu:

Bonjour,



Mozilla Corporation, société éditrice du navigateur Firefox, a décidée sur sa version 52 de supprimer le support de NPAPI, qui assure la compatibilité de leur navigateur avec les technologies telles que Flash, Java, Silverlight, Acrobat et certains codecs audio et vidéo, dont le codec vidéo Hikvision.



Nous ne pouvons être tenu pour responsable de ce changement de politique de compatibilité de la part d’un développeur tiers.

Nous vous invitons donc à utiliser Microsoft Internet Explorer 11 ou, si vous souhaitez malgré tout continuer à utiliser Mozilla Firefox, à utiliser la version ESR, compatible NPAPI jusqu’en 2018.


La question que je me pose: Qui est responsable ? Les firmes ou bien les navigateurs ??

En attendant, comment pouvoir ce servir durablement des caméras ??
Merci de m'avoir lu et j'attends peut-être une solution de votre part !
Mujos.

Avatar de l’utilisateur
Parisien_entraide
Informaticien
Informaticien
Messages : 367
Inscription : 02 juin 2012 20:48

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Parisien_entraide » 06 avr. 2017 12:56

Ce sont les les sociétés qui proposent ENCORE des matériels utilisant des plug in NPAPI qui sont en tort.

En 2013 Google l'avait annoncé

Cela fait plus d'un an que le support NPAPI est annoncé comme abandonné (effectif dans Chrome 45 depuis septembre 2015)
Microsoft a suivi avec Windows 10 et Edge
Firefox vient de le faire mais propose quand même l'usage de flash et une solution alternative qui permet d'utiliser les plug in NPAPI encore quelques temps

Ensuite je ne comprends pas ta dernière question. La solution pour utiliser un plug in NPAPI est décrite dans le premier post avec la version ESR de Firefox (c'est aussi la réponse qui a été donnée par Hikvision)

Mujos
newbie
newbie
Messages : 10
Inscription : 05 avr. 2017 15:06

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Mujos » 06 avr. 2017 20:37

Donc, si je comprends bien, C'est Hikvision ( et les autres ) qui est en tort ? Ils n'ont pas l'air de se sentir concernés ( voir leur réponse ds mon 1er post ).

La version ESR de Firefox, c'est une solution provisoire, puisque ce sera terminé en 2018 ! Donc à eux de ce démerder pour faire fonctionner nos caméras !

Grand merci Parisien_entraide !

Avatar de l’utilisateur
Parisien_entraide
Informaticien
Informaticien
Messages : 367
Inscription : 02 juin 2012 20:48

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Parisien_entraide » 06 avr. 2017 23:02

Mujos a écrit :
06 avr. 2017 20:37
Donc, si je comprends bien, C'est Hikvision ( et les autres ) qui est en tort ? Ils n'ont pas l'air de se sentir concernés ( voir leur réponse ds mon 1er post ).

Ils devraient, au lieu de reporter la faute sur les autres, en l'occurence Firefox
C'était annoncé depuis longtemps
D'ailleurs bizarrement ils ne citent que Firefox alors que ce sont les seuls qui permettent l'usage NPAPI avec une version différente du navigateur

NPAPI ca date de 1995 avec Netscape, et l'évolution aidant (HTML5), il est normal de se débarrasser de ces plug in qui brident les performances, n'aident pas à la stabilité et qui ouvrent en plus des failles de sécurité
Cela permettra enfin une version 64 Bits de Firefox (par exemple)

C'est un peu comme un fabricant de disque dur qui ne jurerait que pour de l'IDE alors qu'on est passé au SATA depuis longtemps, et mieux au SSD et M2/mSATA
Mujos a écrit :
06 avr. 2017 20:37
La version ESR de Firefox, c'est une solution provisoire, puisque ce sera terminé en 2018 ! Donc à eux de ce démerder pour faire fonctionner nos caméras !
Ce qui veut dire que les stés comme Hikvision ont un an pour amener une solution (alors qu'ils avaient déjà un an et demi pour le faire)

Mujos
newbie
newbie
Messages : 10
Inscription : 05 avr. 2017 15:06

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Mujos » 07 avr. 2017 13:55

Bonjour,

Je viens de leur envoyer un mail , ( Hikvision ) j'attends impatiemment leur réponse....

Bonjour,

M’étant renseigné plus loin sur le problème ( entre-autre chez Firefox ), il paraitrait que c’est VOUS ( les sociétés ) qui n’avez pas SUIVI leur mise en garde de la suppression de ces supports NPAPI,
il y a plus d’un an que le message vous a été fait de trouver une autre solution de remplacement !!

- Extrait d’un mail: “ Ce qui est fou c'est que des constructeurs de matériels usant de plug in NPAPI savent depuis un an que cela va disparaitre mais continue à ce jour à vendre le meme matériel avec les plug in qui ne fonctionnent plus.”

J’espère vivement que vous allez remédier à ce problème le plus rapidement possible afin que nos installations puissent fonctionner normalement , et ce, sur quelconque plate-forme de navigation !

Bien à vous


EDIT du 12 avril: ils ne m'ont plus répondu!!! ça veut tout dire ... PDT_001

Mujos
newbie
newbie
Messages : 10
Inscription : 05 avr. 2017 15:06

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Mujos » 07 sept. 2017 14:27

Bonjour à tous,

Ben voila, nous sommes en septembre 2017 et la version de mon Firefox est la 55.0.3 (32 bits ).

Et re-galère avec mes caméras Hikvision, le plugin WebComponents ne fonctionne plus du tout !

J'ai refait la manipulation qui fonctionnait sur les versions Firefox précédentes ( plugin.load_flash_only ), mais ça fonctionne plus !!!
Mon écran caméras est désespérément noir...

J'ai téléphoné à mon fournisseur, il m'a dit qu'il fallait........attendre que les autres programmes ( Hikvision ) se mette à jour !

En attendant, quand je suis en dehors de chez moi avec mon portable, IMPOSSIBLE de voir ce qui ce passe chez moi!
Je trouve cela un peu "fort " de café !

Parmi vous, quelqu'un aurait-il une solution ?
Déjà MERCI d'avance .

Avatar de l’utilisateur
Parisien_entraide
Informaticien
Informaticien
Messages : 367
Inscription : 02 juin 2012 20:48

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Parisien_entraide » 07 sept. 2017 19:08

Mujos a écrit :
07 sept. 2017 14:27
Bonjour à tous,

Ben voila, nous sommes en septembre 2017 et la version de mon Firefox est la 55.0.3 (32 bits ).
C'est normal

Tu as une version "normale" de Firefox, si tu veux que tes plug in fonctionnent il te faut la version 52 ESR comme indiqué dans le sujet

La version 55 depuis mi aout, en plus veut privilégier les Web Extension au lieu des plug-in (certains fonctionnent encore), pour arriver à une version, la 57 mi novembre qui n'utilisera PLUS de plug in (on pourra contourner avec dans about:config en cherchant extensions.legacy.enabled et en le mettant à true

Autre soucis avec la version 55, c'est que tout ce qui est liés à ton profil, n'est pas rétro compatible
C'est à dire que si tu migres actuellement ton profil de la version 55 vers une version 52 ESR cela ne fonctionnera pas
Lors que j'ai rédigé le sujet, la version 55 n'existait pas encore (malheureusement sinon j'aurai donné un avertissement)

Et se rappeler que la version 52 ESR à une limite non pas d'utilisation, mais elle passera elle aussi en web extension au 26 juin l'année prochaine
LEgacy.png

Mujos
newbie
newbie
Messages : 10
Inscription : 05 avr. 2017 15:06

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Mujos » 08 sept. 2017 21:07

Bonjour Parisien,

MERCI de m'avoir répondu ! Donc comme tu dis que la version 52 ESR ne fonctionnera pas en l'installant, dois-je comprendre que pour la faire fonctionner, je dois désinstaller complètement la version Firefox 55 avant d'installer la 52 ESR ?

Autre question; la 52 ESR peut-elle être installée en français ?

Bon dimanche !
Mujos.

Avatar de l’utilisateur
Parisien_entraide
Informaticien
Informaticien
Messages : 367
Inscription : 02 juin 2012 20:48

Re: FireFox 52 et les plug in qui ne fonctionnent plus

Message par Parisien_entraide » 08 sept. 2017 21:26

Bonsoir,

Tu ne peux pas installer une version 52 (ESR ou pas) par dessus une version 55 donc Oui tu dois désinstaller la version 55
Par contre tu vas perdre ton profil, donc repartir de rien
Je conseille de passer par REVO UNINSTALLER (par ex) pour la désinstallation car Firefox laisse pas mal de fichiers qui poseront problèmes si tu installes une nouvellle version ensuite https://www.revouninstaller.com/revo_un ... nload.html
Je conseille ensuite de redémarrer l'ordi (Revo le demandera peut etre)

Mieux meme si je vais me faire fouetter par le maître des lieux, :-) Passe un coup de CCleaner ensuite après redémarrage (registre et fichiers) car il restera des lignes( peut etre des fichiers) dans le registre qui porteront à confusion pour la nouvelle installation (ce ne sont pas des lignes orphelines)

Pourquoi tu ne l'as pas installé depuis tes premiers messages ?

Pour la version en FR c'est indiqué dans le premier message https://www.mozilla.org/en-US/firefox/o ... tions/all/


Répondre

Revenir vers « Programmes utiles »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 3 invités